Mailinglist Archive: opensuse-updates (54 mails)

< Previous Next >
openSUSE-SU-2010:1025-2 (moderate): gnutls: fixing SSL-renegotiation "authentication gap" testing code
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Wed, 22 Dec 2010 22:08:18 +0100 (CET)
  • Message-id: <20101222210818.5D142BE66@xxxxxxxxxxxxxx>
openSUSE Security Update: gnutls: fixing SSL-renegotiation "authentication
gap" testing code
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:1025-2
Rating: moderate
References: #554084
Cross-References: CVE-2009-3555
Affected Products:
openSUSE 11.3
openSUSE 11.2
openSUSE 11.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update fixes the safe renegotiation testing code which
was missing in the previous update for CVE-2009-3555.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch gnutls-3647

- openSUSE 11.2:

zypper in -t patch gnutls-3647

- openSUSE 11.1:

zypper in -t patch gnutls-3647

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

gnutls-2.8.6-2.5.1
libgnutls-devel-2.8.6-2.5.1
libgnutls-extra-devel-2.8.6-2.5.1
libgnutls-extra26-2.8.6-2.5.1
libgnutls26-2.8.6-2.5.1

- openSUSE 11.3 (x86_64):

libgnutls26-32bit-2.8.6-2.5.1

- openSUSE 11.2 (i586 x86_64):

gnutls-2.4.1-26.8.1
libgnutls-devel-2.4.1-26.8.1
libgnutls-extra-devel-2.4.1-26.8.1
libgnutls-extra26-2.4.1-26.8.1
libgnutls26-2.4.1-26.8.1

- openSUSE 11.2 (x86_64):

libgnutls26-32bit-2.4.1-26.8.1

- openSUSE 11.1 (i586 ppc x86_64):

gnutls-2.4.1-24.10.1
libgnutls-devel-2.4.1-24.10.1
libgnutls-extra-devel-2.4.1-24.10.1
libgnutls-extra26-2.4.1-24.10.1
libgnutls26-2.4.1-24.10.1

- openSUSE 11.1 (x86_64):

libgnutls26-32bit-2.4.1-24.10.1

- openSUSE 11.1 (ppc):

libgnutls26-64bit-2.4.1-24.10.1


References:

http://support.novell.com/security/cve/CVE-2009-3555.html
https://bugzilla.novell.com/554084


< Previous Next >
This Thread
  • No further messages